Bug 1024910 - Unable to select different wireless connections with the same SSID
Unable to select different wireless connections with the same SSID
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-plasma-nm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1072109
  Show dependency treegraph
 
Reported: 2013-10-30 11:04 EDT by mfs-it
Modified: 2014-03-03 18:15 EST (History)
3 users (show)

See Also:
Fixed In Version: kde-plasma-nm-0.9.3.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:34:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mfs-it 2013-10-30 11:04:14 EDT
Description of problem:
I'm unable to select saved configurations for a wireless connection with same SSID but different BSSID

Version-Release number of selected component (if applicable):
kde-plasma-nm-0.9.3.1-5.fc20.x86_64
(afaik this issue was there with any version of kde-plasma-nm)

How reproducible:
Have a wireless network called "foo".
Have a repeater of the original signal that shares the same SSID, "foo".
Store two different configurations: "foo base" and "foo repeater": these configs are identical, except that each one is bound to a specific BSSID

Steps to Reproduce:
1. Have two signal with same SSID, different BSSID
2. Save two different configs
3. Only one of them shows up in kde-plasma-nm

Actual results:
I'm unable to select a BSSID using the saved configurations. I have to edit the configuration that kde-plasma-nm randomly chooses for me if I want it to connect to this or that BSSID. Each time.

Expected results:
Being able to select the proper saved configuration. Both configurations ("foo base" and "foo repeater") should show up when both signals are at reach.

Additional info:
Fedora 20.
This feature has always been available before kde-plasma-nm, so I regard it as a regression.
Comment 1 Jan Grulich 2013-10-30 11:36:16 EDT
I just pushed the fix to upstream git repository. You can try to compile plasma-nm from git or wait until we do a new build with this fix.
Comment 2 mfs-it 2013-10-30 16:21:57 EDT
kde-plasma-nm-0.9.3.1-6.fc20 seems to fix it.
Thank you very much.
Comment 3 Fedora Update System 2013-10-30 16:34:21 EDT
kde-plasma-nm-0.9.3.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kde-plasma-nm-0.9.3.1-6.fc20
Comment 4 Fedora Update System 2013-11-07 14:04:56 EST
Package kde-plasma-nm-0.9.3.1-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-plasma-nm-0.9.3.1-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20837/kde-plasma-nm-0.9.3.1-6.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-11 19:34:54 EST
kde-plasma-nm-0.9.3.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.